#include "vozilo.h"
#include <iostream>

using namespace std;

int main()
{
	Vozilo kolo("Pecikl", 50), avtomobil("Yugo", 135);
	
	// zacetne hitrosti naj bodo 0 km/h
	kolo.ustavi();
	avtomobil.ustavi();

	// izpis hitrosti vozil
	cout << "Vozili:" << endl;
	kolo.izpisi();
	avtomobil.izpisi();

	// nastavljanje hitrosti vozilom
	float hitrostKolesa, hitrostAvtomobila;

	cout << "Vnesi pohitritev za kolo: ";
	cin >> hitrostKolesa;
	kolo.pospesi(hitrostKolesa);

	cout << "Vnesi pohitritev za avtomobil: ";
	cin >> hitrostAvtomobila;
	avtomobil.pospesi(hitrostAvtomobila);

	// izpis hitrosti vozil
	cout << endl << "Nove hitrosti vozil:" << endl;
	kolo.izpisi();
	avtomobil.izpisi();

	// kdaj bo avtomobil dohitel kolo
	float prednost;
	cout << "Vnesi prednost kolesa pred avtomobilom: ";
	cin >> prednost;
	float cas = avtomobil.casDohitevanja(kolo, prednost);
	float pot = avtomobil.potDohitevanja(kolo, prednost);
	if (cas > 0)
		cout << "Avtomobil bo dohitel kolo cez " << pot << " km v " << cas << " ure/i/ah." << endl;
	else 
		cout << "Avtomobil ne more dohiteti kolesa." << endl;

	return 0;
}
	


