#include "vozilo.h"

#include <iostream>
using namespace std;

Vozilo::Vozilo(string imeVozila, float maksHitrost)
{
	this->ime = imeVozila;
	this->maks = maksHitrost;
	this->hitrost = 0;
}

void Vozilo::ustavi()
{
	this->hitrost = 0;
}

void Vozilo::pospesi(float koliko)
{
	// vozilo lahko pospesi samo do svoje maksimalne hitrosti
	if (hitrost + koliko < maks)
		this->hitrost = this->hitrost + koliko;
	else
		this->hitrost = this->maks;
}

void Vozilo::izpisi()
{
	cout << this->ime << " (" << this->hitrost << " km/h)" << endl;
}

float Vozilo::casDohitevanja(Vozilo drugo, float prednost)
{
	return (prednost * this->hitrost) / (this->hitrost - drugo.hitrost ) / this->hitrost;
}

float Vozilo::potDohitevanja(Vozilo drugo, float prednost)
{
	return (prednost * this->hitrost) / (this->hitrost - drugo.hitrost );
}
